#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "BankTrackingData.h"
#include "SoundBankLoader.generated.h"

class ULoadAsyncBankData;

UCLASS(Blueprintable)
class DBDAUDIO_API USoundBankLoader : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<ULoadAsyncBankData*> _asyncAudioBanksPendingLoadData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TMap<FString, FBankTrackingData> _audioBanks;

public:
	USoundBankLoader();
};

FORCEINLINE uint32 GetTypeHash(const USoundBankLoader) { return 0; }
